// casovnik.cpp - Metode klase časovnika.

#include "casovnik.h"
using std::cout, std::endl;

Casovnik::~Casovnik() {                    // Destruktor.
  while (prvi) { Elem* stari = prvi; prvi = prvi->sled; delete stari; }
  posl = nullptr;
}

Casovnik& Casovnik::operator-=(Akter* akt) {  // Odjavljivanje aktera.
  Elem *tek = prvi, *pret = nullptr;
  while (tek && tek->akter!=akt) { pret = tek; tek = tek -> sled; }
  if (tek) {
    (!pret ? prvi : pret->sled) = tek->sled;
    delete tek;
    if (tek == posl) posl = pret;
  }
  return *this;
}

void Casovnik::radi(double dt, double t_max) { // Rad časovnika.
  for (double t=0; t<=t_max; t+=dt) {
    cout << "Vreme: " << t << endl;
    for (Elem* tek=prvi; tek; tek=tek->sled) tek->akter->proteklo(dt);
  }
}
