// datum3.h - Klasa kalendarskih datuma.

#ifndef _datum3_h_
#define _datum3_h_

#include <iostream>
using std::ostream;

class Datum {
  short d, m, g;                             // Dan, mesec i godina.
public:
  Datum(short d, short m, short g)           // Stvaranje datuma.
    : d{d}, m{m}, g{g} {}
  Datum(): d{0}, m{0}, g{0} {}               // Prazan datum.
  short dan() const { return d; }            // Dohvatanje delova datuma.
  short mes() const { return m; }
  short god() const { return g; }
  friend ostream& operator<<(ostream& it, const Datum& dat) // Pisanje.
    { return it << dat.d << '.' << dat.m << '.' << dat.g << '.'; }
};

#endif
