// etapa.h - Klasa etapa vožnje.

#ifndef _etapa_h_
#define _etapa_h_

class Etapa {
  float duz, brz;                          // Dužina etape i brzina vožnje.
public:
  Etapa (): duz{0}, brz{0} {}                 // "Prazna" etapa.
  Etapa(float d, float b): duz{d}, brz{b} {}  // Inicijalizacija.
  float duzina() const  { return duz; }       // Dužina etape.
  float brzina() const  { return brz; }       // Brzina vožnje.
  float vreme()  const  { return duz / brz; } // Vreme vožnje.
};

#endif
