// gradovi1.cpp - Uređivanje imena gradova smeštenih u dinamičku matricu
//                (u stilu C).

#include <string.h>
#include <iostream>
using std::cin, std::cout, std::endl;

const int MAX_GRAD = 100;
const int MAX_DUZ  = 30;

int main() {

  // Čitanje i obrada pojedinačnih imena:
  cout << "\nNeuredjeni niz imena gradova:\n\n";
  char** gradovi = new char* [MAX_GRAD];
  int br_grad=0;
  do {
    char* grad = new char [MAX_DUZ];
    cin.getline(grad,MAX_DUZ); // Čitanje sledećeg imena.
    int duz = strlen(grad);

  // Kraj ako je dužina imena nula:
  if (!duz) { delete [] grad; break; }

    char* pom = new char [duz+1];    // Skraćivanje niza.
    strcpy(pom, grad);
    delete [] grad; grad = pom;
    cout << grad << endl;            // Ispisivanje imena.

    // Uvrštavanje novog imena u uređeni niz starih imena:
    int i;
    for (i=br_grad-1; i>=0; i--)
      if (strcmp(gradovi[i], grad) > 0)
        gradovi[i+1] = gradovi[i];
      else break;
    gradovi[i+1] = grad;

    // Nastavak rada ako ima još  slobodnih vrsta u matrici:
  } while (++br_grad < MAX_GRAD);

  // Skraćivanje niza pokazivača:
  char** pom = new char* [br_grad];
  for (int i=0; i<br_grad; i++)
    pom[i] = gradovi[i];
  delete [] gradovi; gradovi = pom;
 
  // Ispisivanje uređenog niza imena:
  cout << "\nUredjeni niz imena gradova:\n\n";
  for (int i=0; i<br_grad; cout<<gradovi[i++]<<endl);

  // Uništavanje matrice.
  for (int i=0; i<br_grad; delete [] gradovi[i++]);
  delete [] gradovi;
}
