// kvadar3.h - Klasa kvadara.

#ifndef _kvadar3_h_
#define _kvadar3_h_

#include "predmet1.h"

class Kvadar: public Predmet {
  double a, b, c;
public:
  Kvadar(double sigma=1, double a=1, double b=1, double c=1) // Konstr.
    : Predmet{sigma}, a{a}, b{b}, c{c} {}
  double V() const override { return a * b * c; }            // Zapremina.
private:
  void citaj(istream& ut) override                           // Čitanje.
    { Predmet::citaj(ut); ut >> a >> b >> c; }
  void pisi (ostream& it) const override {                   // Pisanje.
    it << "kvadar["; Predmet::pisi(it); 
    it << ',' << a << ',' << b << ',' << c << ']';
  }
};

#endif
