// kvadar5.h - Klasa kvadara.

#ifndef _kvadar5_h_
#define _kvadar5_h_

#include "telo2.h"
#include <utility>
using std::move;

namespace Predmeti {
  class Kvadar: public Telo { double a, b, c;           // Ivice kvadra.
  public:
    Kvadar(double a=1, double b=1, double c=1,       // Stvaranje kvadra.
      double s=1): Telo{s}, a{a}, b{b}, c{c} {}
    Kvadar* kopija() const& override          // Kopija kvadra kopiranjem.
      { return new Kvadar(*this); }
    Kvadar* kopija() && override              // Kopija kvadra premeštanjem.
      { return new Kvadar(move(*this)); }
    double V() const override final { return a * b * c; } // Zapremina kvad.
    string vrsta() const override { return "Kvadar"; }    // Vrsta predmeta.
  private:
    void pisi(ostream& it) const override                 // Pisanje kvadra.
      { Telo::pisi(it); it << a << ',' << b << ',' << c << ')'; }
  }; // class Kvadar
} // namespace Predmeti

#endif
