// niz2_gr.h - Klase grešaka.

#ifndef _niz2_gr_h_
#define _niz2_gr_h_

#include <iostream>
using std::ostream;

class G_pun {};         // GREŠKA: Niz je pun.

class G_prazno {        // GREŠKA: Mesto u nizu je prazno.
public:
  friend ostream& operator<<(ostream& it, const G_prazno&)
    { return it << "*** GRESKA: Pristup praznom mestu u nizu! ***\n"; }
};

class G_indeks {        // GREŠKA: Indeks je izvan opsega.
  int ind, duz;         // Pogrešan indeks i dužina niza.
public:
  G_indeks(int i, int d): ind{i}, duz{d} {}
  int dohv_ind() const { return ind; } // Dohvatanje pogrešnog indeksa.
  int dohv_duz() const { return duz; } // Dohvatanje dužine niza.
  friend ostream& operator<<(ostream& it, const G_indeks& g) {
    return it << "*** GRESKA: Nedozvoljen indeks " << g.ind
              << " u nizu duzine " << g.duz << "! ***\n";
  }
};

#endif
