// osoba3.h - Klasa osoba.

#ifndef _osoba3_h_
#define _osoba3_h_

#include <string>
#include <iostream>
using std::string, std::ostream;

class Osoba {
  string ime;                                     // Ime osobe.
  float tez;                                      // Težina osobe.
public:                                          
  explicit Osoba(string ime, float tez)           // Konstruktor. 
    : ime{ime}, tez{tez} {}
  Osoba(const Osoba&) =delete;                    // Ne sme da se kopira.
  Osoba& operator=(const Osoba&) =delete;         // Ne sme da se dodeljuje.
  string dohv_ime() const { return ime; }         // Dohvatanje imena.
  float dohv_tez() const { return tez; }          // Dohvatanje težine.
  friend ostream& operator<<(ostream& it, const Osoba& osoba) // Pisanje.
    { return it << osoba.ime << '(' << osoba.tez << ')'; }
};

#endif
