// potrosac1.h - Klasa električnih potrošača.

#ifndef _potrosac1_h_
#define _potrosac1_h_

#include <iostream>
using std::ostream;

namespace Potrosaci {
  class Potrosac {
  public:
    virtual ~Potrosac() {}                // Virtuelan destruktor.
    virtual double snaga() const =0;      // Snaga potrošača.
    virtual Potrosac* kopija() const& =0; // Kopija potrošača kopiranjem.
    virtual Potrosac* kopija() && =0;     // Kopija potrošača premeštanjem.
  private:
    virtual void pisi(ostream& it) const =0; // Pisanje potrošača.
    friend ostream& operator<<(ostream& it, const Potrosac& p)
      { p.pisi(it); return it; }
  }; // class Potrosac
} // namespace Potrosaci

#endif
