// pravoug2.h - Klasa pravougaonika.

#include <iostream>
using std::istream, std::ostream;

class Pravoug {
  double a, b; // Dužine ivica.
public:
  friend istream& operator>>(istream& ut, Pravoug& pp)        // Čitanje.
    { return ut >> pp.a >> pp.b; }
  friend ostream& operator<<(ostream& it, const Pravoug& pp)  // Pisanje.
    { return it << "P[" << pp.a << ',' << pp.b << ']'; }
  friend bool operator<(const Pravoug& p1, const Pravoug& p2) // Upoređi-
    { return p1.a*p1.b < p2.a*p2.b; }                         //   vanje.
};
