// sfera1.h - Klasa sfera.

#ifndef _sfera1_h_
#define _sfera1_h_

#include "predmet1.h"

class Sfera: public Predmet {
  double r;
public:
  Sfera(double sigma=1, double r=1)                     // Konstruktor.
    : Predmet{sigma}, r{r} {}
  double V() const override                             // Zapremina.
    { return 4./3 * r*r*r * 3.14159; }
private:
  void citaj(istream& ut) override                      // Čitanje.
    { Predmet::citaj(ut); ut >> r; }
  void pisi(ostream& it) const override                 // Pisanje.
    { it << "sfera ["; Predmet::pisi(it); it << ',' << r << ']'; }
};

#endif
