// tacka4.h - Klasa tačaka u ravni.

#ifndef _tacka4_h_
#define _tacka4_h_

typedef double Real;           // Tip za realne vrednosti.

#include <iostream>
using std::istream, std::ostream;

class Tacka {
  Real x, y;                                              // Koordinate.
public:
  Tacka(Real x=0, Real y=0): x{x}, y{y} {}                // Konstruktor.
  Real aps() const { return x; }                          // Apscisa.
  Real ord() const { return y; }                          // Ordinata.
  friend istream& operator>>(istream& ut, Tacka& t)       // Čitanje.
    { return ut >> t.x >> t.y; }
  friend ostream& operator<<(ostream& it, const Tacka& t) // Pisanje.
    { return it << '(' << t.x << ',' << t.y << ')'; }
};

const Tacka ORG;                                    // Koordinatni početak.

#endif
