// tacka6.h - Klasa tačaka u ravni.

#ifndef _tacka6_h_
#define _tacka6_h_

#include <iostream>
using std::ostream;

namespace Linije {
  class Tacka {
    double x, y;                                            // Koordinate.
  public:
    Tacka(double x=0, double y=0): x{x}, y{y} {}            // Konstruktor.
    double aps() const { return x; }                        // Apscisa.
    double ord() const { return y; }                        // Ordinata.
    friend ostream& operator<<(ostream& it, const Tacka& t) // Pisanje.
      { return it << '(' << t.x << ',' << t.y << ')'; }
    static void pisiNiz(ostream& it, const Tacka* niz, int duz);
                                                    // Pisanje niza tačaka.
  };
}

#endif
