// tacka9.h - Klasa tačaka u ravni.

#ifndef _tacka9_h_
#define _tacka9_h_

#include <cmath>
using std::sqrt;

namespace Figure {
  class Tacka {
    double xx, yy;                                  // Koordinate tačke.
  public:
    Tacka(double x=0, double y=0)                   // Konstruktor.
      : xx{x}, yy{y} {}
    double x() const { return xx; }                 // Apscisa tačke.
    double y() const { return yy; }                 // Ordinata tačke.
    double rastojanje(Tacka t=Tacka()) const {      // Rastojanje do
      return sqrt(pow(xx-t.xx,2) + pow(yy-t.yy,2)); //   zadate tačke.
    }
  }; // class Tacka
} // namespace Figure

#endif
