// ceo.h - Klasa celih brojeva.

#ifndef _ceo_h_
#define _ceo_h_

#include "predmet2.h"
#include <utility>
using std::move;

namespace Zbirke {
  class Ceo: public Predmet {
    int vr;                                             // Vrednost broja.
    void pisi(ostream& it) const override { it << vr; } // Pisanje broja.
  public:
    Ceo(int vr=0): vr{vr} {}                   // Konstruktor.
    int vredn() const { return vr; }           // Dohvatanje vrednosti.
    Ceo* kopija() const& override              // Kopija broja kopiranjem.
      { return new Ceo(*this); }
    Ceo* kopija() && override                  // Kopija broja premeštanjem.
      { return new Ceo(move(*this)); }
  }; // class Ceo
} // namespace Zbirke

#endif
