// ispit.h - Klasa ispita.

#ifndef _ispit_h_
#define _ispit_h_

class Ispit {
  char sif;                               // Šifra ispita.
  short oce;                              // Ocena.
  Datum pol;                              // Datum polaganja.
public:
  Ispit(char sif, short oce, Datum pol)   // Konstruktor.
    : sif{sif}, oce{oce}, pol{pol} {}
  Ispit(const Ispit&) =delete;            // Ne sme da se kopira.
  Ispit& operator=(const Ispit&) =delete; // Ne sme da se dodeljuje.
  char  dohvSif() const { return sif; }   // Dohvatanje šifre.
  short dohvOce() const { return oce; }   // Dohvatanje ocene.
  Datum dohvPol() const { return pol; }   // Dohvatanje datuma polaganja.
};

#endif
