// jmbg.h – Definicija klase jedinstvenih matičnih brojeva građana.

#include <cstring>
#include <iostream>
using std::strcpy, std::strcmp, std::cout;

class JMBG {
  char jmbg[14];                           // Jedinstveni matični broj.
public:
  JMBG(const char j[]) { strcpy(jmbg, j); }        // Konstruktor.
  const char* dohv_JMBG() const { return jmbg; }   // Dohvatanje broja.
  friend bool veci(const JMBG& j1, const JMBG& j2) // Upoređivanje.
    { return strcmp(j1.jmbg, j2.jmbg) > 0; }
  void pisi() const { cout << jmbg; }              // Pisanje.
};
