// knjiga.h - Klasa knjiga.

#ifndef _knjiga_h_
#define _knjiga_h_

#include <string>
#include <iostream>
using std::string, std::ostream;

class Knjiga {
  string autor, naslov;                            // Autor i naslov knjige.
  double cena;
public:
  Knjiga(string autor, string naslov, double cena) // Inicijalizacija.
    : autor{autor}, naslov{naslov}, cena{cena} {}
  virtual double vrednost() const { return cena; } // Vrednost knjige.
  virtual void pisi(ostream& it) const {           // upisivanje u tok.
    it << autor << ": \"" << naslov << "\" (" << vrednost() << ")";
  }
};

#endif
