// kvadar1_t.cpp - Ispitivanje klase kvadara.

#include "kvadar1.h"
#include <iostream>
using std::cout, std::cin, std::endl;

int main(int, char* varg[]) {
  Kvadar::postavi_Vmax(atof(varg[1]));

  struct Elem {              // Element liste kvadara.
    Kvadar* kvad; Elem* sled;
    Elem(Kvadar* kv): kvad(kv), sled(nullptr) {}
    ~Elem() { delete kvad; }
  };

  for (char jos='d'; jos=='d' || jos=='D'; cout<<"\nJos? ", cin>>jos) {
    Elem *prvi = nullptr, *posl = nullptr;

    while (true) {           // Čitanje kvadara i stvaranje liste.
      cout << "a,b,c? ";     
      if (Kvadar* kv = Kvadar::citaj())
        posl = (!prvi ? prvi : posl->sled) = new Elem(kv);
      else break;
    }

    cout << "Zapremine:";    // Zapremine pročitanih kvadara.
    for (Elem* tek=prvi; tek; tek=tek->sled) cout << ' ' << tek->kvad->V();
    cout << "\nUkupno: " << Kvadar::dohv_Vuk() << endl;
                             // Uništavanje liste kvadara.
    while (prvi) { Elem* stari = prvi; prvi = prvi->sled; delete stari; }
    cout << "Ukupno posle brisanja: " << Kvadar::dohv_Vuk() << endl;
  }
}
