// polica_t.cpp - Ispitivanje klase polica za knjige.

#include "knjiga.h"
#include "knjiga_tvrdo_kor.h"
#include "knjiga_polovna.h"
#include "polica.h"
#include <iostream>
using std::cout;

int main() {
  Knjiga* knjige[] = {
    new Knjiga("Mark Tven", "Starac i more", 1000),
    new Knjiga_tvrdo_kor("Lav Tolstoj", "Rat i mir", 2000, 100),
    new Knjiga_polovna("Viktor Igo", "Jadnici", 1600, 10)
  };

  Polica polica;
  for (auto pk : knjige) polica += pk;
  cout << polica;
  for (auto pk : knjige) delete pk;
}
