// sanduk.h - Klasa sanduka.

#ifndef _sanduk_h_
#define _sanduk_h_

#include "teret.h"
#include <utility>
using std::move;

class Sanduk: public Teret {
  double a, b, c;                                // Dužine ivica kvadra.
public:
  explicit Sanduk(double sigma=1, double         // Inicijalizacija.
     a=1, double b=1, double c=1)
     : Teret{sigma}, a{a}, b{b}, c{c} {}
  char vrsta() const override { return 'S'; }    // Oznaka vrste tereta.
  double zapr() const override { return a*b*c; } // Zapremina sanduka.
  Sanduk* kopija() const& override           // Kopija sanduka kopiranjem.
    { return new Sanduk(*this); }
  Sanduk* kopija() && override               // Kopija sanduka premeštanjem.
    { return new Sanduk(move(*this)); }
};

#endif
