// tacka2.h - Definicija klase tačaka u ravni.

class Tacka {
  double x, y;                      // Koordinate.
public:
  void postavi(double a, double b)  // Postavljanje
    { x = a; y = b; }               //   koordinata.
  double aps() const { return x; }  // Apscisa.
  double ord() const { return y; }  // Ordinata.
  double rastojanje(Tacka) const;   // Rastojanje do tačke.
  void citaj();                     // Čitanje tačke.
  void pisi() const;                // Pisanje tačke.
};

// Definicije ugrađenih metoda izvan klase.

#include <iostream>
#include <cmath>
using std::cin, std::cout, std::sqrt, std::pow;

inline void Tacka::citaj()                     // Čitanje tačke.
  { cin >> x >> y; }

inline void Tacka::pisi() const                // Pisanje tačke.
  { cout << '(' << x << ',' << y << ')'; }

inline double Tacka::rastojanje(Tacka t) const // Rastojanje do tačke.
  { return sqrt(pow(x-t.x,2) + pow(y-t.y,2)); }
