// tacka7.h - Klasa tačaka u prostoru.

#ifndef _tacka7_h_
#define _tacka7_h_

#include "figura2.h"
#include "vektor3.h"

class Tacka: public Figura {
  Vektor p;                                          // Vektor položaja.
  void pisi(ostream& it) const override              // Pisanje tačke.
    { it << 'T' << p; }
public:
  Tacka(const Vektor& p=Vektor()): p{p} {}           // Stvaranje tačke.
  Tacka* kopija() const override                     // Kopija tačke.
    { return new Tacka(*this); }
  Tacka& operator+=(const Vektor& v) override        // Pomeranje tačke.
    { p += v; return *this; }
  Vektor teziste() const override { return p; }      // Težiste tačke.
};

#endif
