// voz2_t.cpp - Ispitivanje klase vozova.

#include "pokaz.h"
#include "voz2.h"
#include "lokomot2.h"
#include "vagon.h"
#include "sanduk.h"
#include "bure.h"
#include <iostream>
using std::cout, std::endl;

int main() {
  try {
    Voz voz(3);
    voz += Pokaz<Vozilo>(new Lokomot(200, 3000));
    auto vag = Pokaz<Vagon>(new Vagon(100, 5));
    *vag += Pokaz<Teret>(new Sanduk(3, 2, 1, 3));
    *vag += Pokaz<Teret>(new Bure(2, 2, 4));
    voz += (Pokaz<Vozilo>&)vag;
    vag  = Pokaz<Vagon>(new Vagon(150, 10));
    *vag += Pokaz<Teret>(new Sanduk(4, 2, 10, 3));
    *vag += Pokaz<Teret>(new Bure(6, 3, 8));
    voz += (Pokaz<Vozilo>&)vag;
    cout << voz;
  } catch (G_preopt g) { cout << g << endl;
  } catch (G_pun    g) { cout << g << endl;
  }
}
